org.jbpm.services.task.audit.commands

## Class AbstractTaskAuditQueryCommand<R,Q>

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<List<R>>
  - - org.jbpm.services.task.audit.commands.AbstractTaskAuditQueryCommand<R,Q>

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.ExecutableCommand<List<R>>, org.kie.api.command.Command<List<R>>
  Direct Known Subclasses:
    AuditTaskQueryCommand, TaskEventQueryCommand, TaskVariableQueryCommand

      public abstract class AbstractTaskAuditQueryCommand<R,Q>
      extends TaskCommand<List<R>>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractTaskAuditQueryCommand()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<R>` | `execute(org.kie.api.runtime.Context cntxt)`
    `protected abstract Class<Q>` | `getQueryType()`
    `abstract org.jbpm.query.jpa.data.QueryWhere` | `getQueryWhere()`
    `protected abstract Class<R>` | `getResultType()`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.command.impl.ExecutableCommand

      `canRunInTransaction`

- - ### Constructor Detail

    - #### AbstractTaskAuditQueryCommand

          public AbstractTaskAuditQueryCommand()

  - ### Method Detail

    - #### getQueryWhere

          public abstract org.jbpm.query.jpa.data.QueryWhere getQueryWhere()

    - #### getResultType

          protected abstract Class<R> getResultType()

    - #### getQueryType

          protected abstract Class<Q> getQueryType()

    - #### execute

          public List<R> execute(org.kie.api.runtime.Context cntxt)

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.